<template>
  <div class="paint" >
    <canvas
      width="400"
      height="600"
      id="canvas"
    ></canvas>
    <div class="paint-btn">
     <button @click="clearCanvas" >清除</button>
    </div>
  </div>
</template>

<script>
import { fabric } from "fabric-with-erasing";
  export default {
    data() {
      return {

      }
    },
    mounted() {
      this.init()
    },
    methods: {
      // 初始化画布
      init() {
        this.canvas = new fabric.Canvas("canvas",{
          isDrawingMode: true
        });
      },
      // 清空画布
      clearCanvas() {
        this.canvas.clear()
      }
    },
  }
</script>

<style lang="less" scoped>
  #canvas {
    border: 1px solid #ccc
  }
</style>